Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces
indirect.hpp File Reference

## Classes
struct | boost::range_const_iterator< ::ranges::v3::indirect_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::indirect_view< Ts... > const >()> >
struct | boost::range_mutable_iterator< ::ranges::v3::indirect_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::indirect_view< Ts... > >()> >
struct | boost::range_size< ::ranges::v3::indirect_view< Ts... > >
struct | boost::range_size< ::ranges::v3::indirect_view< Ts... > const >
struct | boost::range_value< ::ranges::v3::indirect_view< Ts... > >
struct | ranges::v3::indirect_view< Rng >
struct | ranges::v3::view::indirect_fn

## Namespaces
| ranges
| unstable_remove have O(1) complexity for each element remove, unlike remove O(n) [for worst case] Each erased element overwritten (moved in) with last one.